textures/ut43_markrace/stars_skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	//q3map_lightsubdivide 256
	//q3map_surfacelight 100
	surfaceparm sky
	//q3map_sun 0.941 0.984 1.00 150 270 45
	skyparms env/ut43_markrace/stars - -
}

// Lights

textures/ut43_markrace/light_white
{
	qer_editorimage textures/ut43_markrace/white.jpg
	q3map_lightimage textures/ut43_markrace/white

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 800
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut43_markrace/jlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_markrace/light_red
{
	qer_editorimage textures/ut43_markrace/red.jpg
	q3map_lightimage textures/ut43_markrace/red

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 1200
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut43_markrace/jlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_markrace/light_green
{
	qer_editorimage textures/ut43_markrace/green.jpg
	q3map_lightimage textures/ut43_markrace/green

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 800
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut43_markrace/jlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_markrace/light_checkpoint
{
	qer_editorimage textures/ut43_markrace/white.jpg
	q3map_lightimage textures/ut43_markrace/white

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 600
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut43_markrace/jlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

// Checkpoints

textures/ut43_markrace/rust
{
	qer_editorimage textures/ut43_markrace/r_rust1_256
	surfaceparm nodamage
	{
		map textures/ut43_markrace/r_rust1_256
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/wood
{
	qer_editorimage textures/ut43_markrace/wood.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/wood.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/flag_green
{
	qer_editorimage textures/ut43_markrace/flag_green.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 1 0 0.7
	cull disable
	{
		map textures/ut43_markrace/flag_green.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut43_markrace/flag_red
{
	qer_editorimage textures/ut43_markrace/flag_red.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 1 0 0.7
	cull disable
	{
		map textures/ut43_markrace/flag_red.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/flag_yellow
{
	qer_editorimage textures/ut43_markrace/flag_yellow.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 1 0 0.7
	cull disable
	{
		map textures/ut43_markrace/flag_yellow.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/start
{
	qer_editorimage textures/ut43_markrace/start.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/start.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}
textures/ut43_markrace/checkpoint
{
	qer_editorimage textures/ut43_markrace/checkpoint.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/checkpoint.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}
textures/ut43_markrace/finish
{
	qer_editorimage textures/ut43_markrace/finish.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/finish.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}


// Road

textures/ut43_markrace/road_top
{
	qer_editorimage textures/ut43_markrace/road02_new_noline
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ut43_markrace/road02_new_noline
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/road_pipe
{
	qer_editorimage textures/ut43_markrace/road02_new_noline
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ut43_markrace/road02_new_noline
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/road_bottom
{
	qer_editorimage textures/ut43_markrace/road02_new_noline
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ut43_markrace/road02_new_noline
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

// Side walls

textures/ut43_markrace/wall
{
	qer_editorimage textures/ut43_markrace/r_oldconcrete_512
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ut43_markrace/r_oldconcrete_512
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/wall_top
{
	qer_editorimage textures/ut43_markrace/r_oldconcrete_512
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ut43_markrace/r_oldconcrete_512
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/wall_bottom
{
	qer_editorimage textures/ut43_markrace/road02_new_noline
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ut43_markrace/road02_new_noline
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

// Ground

textures/ut43_markrace/spawn_ground
{
	qer_editorimage textures/ut43_markrace/will_marble_highres
	surfaceparm nodamage
	{
		map textures/ut43_markrace/will_marble_highres
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

// Car

textures/ut43_markrace/color_black
{
	qer_editorimage textures/ut43_markrace/black.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/black.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/color_white
{
	qer_editorimage textures/ut43_markrace/white.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/white.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/color_green
{
	qer_editorimage textures/ut43_markrace/green.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/green.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ut43_markrace/color_red
{
	qer_editorimage textures/ut43_markrace/red.jpg
	surfaceparm nodamage
	{
		map textures/ut43_markrace/red.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

